/**
 * Global styles
 * https://coolors.co/ed1006-4aacc4-99bb57-04080f-f5efed-fffbfa-3f4044
 */

:root {
  --red-brand: #ed1006;
  --red: #e51106;
  --blue: #4aacc4;
  --olive: #99bb57;
  --black: #04080f;
  --parchment: #f5efed;
  --snow: #fffbfa;
  --text: #3f4044;

  --red-dark: #be0d05;
  --snow-dark: #fff7f5;
  
  --red-a00: #ed100600;
  --red-a10: #ed100610;
  --red-a20: #ed100620;
  --red-a80: #ed100680;
  --black-a00: #04080f00;
  --black-a30: #04080f30;
  --black-a60: #04080f60;
  --black-a80: #04080f80;
  --black-aa0: #04080fa0;
  --snow-a00: #fffbfa00;
  --snow-a60: #fffbfa60;
  --snow-a80: #fffbfa80;
  --snow-ad0: #fffbfad0;
  --snow-af0: #fffbfaf0;

  --font-heading: "Gelasio";
  --font-body: "DM Sans";
  --font-arabic: "Scheherazade New";
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  transition: all 0.3s ease-in-out;
}

html {
  scroll-behavior: smooth;
}

body {
  position: relative;
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  background-color: var(--snow);
  font-family:
    system-ui,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    Oxygen,
    Ubuntu,
    Cantarell,
    "Open Sans",
    "Helvetica Neue",
    sans-serif;
}

body.nav-drawer-open {
  overflow-y: hidden;
}

@font-face {
  font-family: "Gelasio";
  src: url("./assets/fonts/Gelasio-VariableFont.woff2") format("woff2-variations");
  src: url("./assets/fonts/Gelasio-VariableFont.woff2") format(woff2) tech(variations);
  font-weight: 400 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Gelasio";
  src: url("./assets/fonts/Gelasio-Italic-VariableFont.woff2") format("woff2-variations");
  src: url("./assets/fonts/Gelasio-Italic-VariableFont.woff2") format(woff2) tech(variations);
  font-weight: 400 700;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "DM Sans";
  src: url("./assets/fonts/DMSans-VariableFont.woff2") format("woff2-variations");
  src: url("./assets/fonts/DMSans-VariableFont.woff2") format(woff2) tech(variations);
  font-weight: 100 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "DM Sans";
  src: url("./assets/fonts/DMSans-Italic-VariableFont.woff2") format("woff2-variations");
  src: url("./assets/fonts/DMSans-Italic-VariableFont.woff2") format(woff2) tech(variations);
  font-weight: 100 900;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "Scheherazade New";
  src: url("assets/fonts/ScheherazadeNew-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

h1, h2, h3 {
  font-family: var(--font-heading);
}

h2 {
  font-size: 1.75rem;
  color: var(--black);
}

h3 {
  font-size: 1.6rem;
  color: var(--red-dark);
}

h4 {
  font-family: var(--font-body);
  font-size: 1.4rem;
  font-weight: 600;
  color: var(--black);
}

h5 {
  font-family: var(--font-body);
  font-size: 1.3rem;
  font-weight: 600;
  color: var(--red-dark);
}

p, span, blockquote, figcaption {
  font-family: var(--font-body);
}

small {
  font-size: 0.9rem;
}

a {
  text-decoration: none;
}

ul {
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
  margin-left: 3rem;
}

.body1 {
  font-family: var(--font-body);
  font-size: 1.25rem;
  color: var(--text);
}

.body2 {
  font-family: var(--font-body);
  font-size: 1rem;
  color: var(--text);
}

.arabic {
  font-family: var(--font-arabic);
}

.show-sm {
  display: none !important;
}

.hide-sm {
  display: flex;
}

.show-lg {
  display: none !important;
}

.skip {
  z-index: -100;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
}

/**
 * =======================================
 * Buttons
 * =======================================
 */

.icon {
  transition: all 0.3s ease-in-out;
}

.btn {
  position: relative;
  z-index: 1;
  font-family: var(--font-body);
  font-weight: 600;
  font-size: 1rem;
  padding: 0.5rem 1.25rem;
  text-wrap: nowrap;
  border-radius: 9rem;
  border: 2px solid var(--red);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 0.75rem;
  cursor: pointer;
}

.btn-sm {
  font-size: 1rem;
  padding: 0.5rem 1.25rem;
  gap: 0.75rem;
}

.btn-primary {
  background-color: var(--red);
  color: var(--snow);
}

.btn-primary:hover, .btn-primary:focus {
  border: 2px solid var(--red-dark);
  background-color: var(--red-dark);
}

.btn-secondary {
  background-color: var(--snow);
  color: var(--red);
}

.btn-secondary:hover, .btn-secondary:focus {
  border: 2px solid var(--red-dark);
  background-color: var(--parchment);
  color: var(--red-dark);
}

.link {
  font-family: var(--font-body);
  color: var(--red);
  text-decoration: underline;
}

.link-alt {
  font-family: var(--font-body);
  color: inherit;
}

.link-alt:hover, .link-alt:focus {
  color: var(--red);
}

.btn-text {
  opacity: 1;
  visibility: visible;
  transition: none;
}

.btn-text-loading {
  position: absolute;
  opacity: 0;
  visibility: hidden;
  transition: none;
}

.btn.loading > .btn-text {
  opacity: 0;
  visibility: hidden;
}

.btn.loading > .btn-text-loading {
  opacity: 1;
  visibility: visible;
}

/**
 * =======================================
 * Image, section, tiles
 * =======================================
 */

.img-zoom {
  transition: all 0.3s ease-in-out;
}

.img-zoom:hover {
  transform: scale(1.015);
}

.about-logo {
  height: 6rem;
}

.section {
  position: relative;
  width: 100vw;
  padding: 6rem 1rem 0 1rem;
  background-color: var(--snow);
  z-index: 20;
}

.section.col {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.section.center {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.section.bottom {
  padding-bottom: 6rem;
}

.section.top {
  padding-top: 7rem;
}

.section-intro {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.section-intro.row {
  flex: 1 1 0;
}

.section-intro.left {
  align-items: start;
}

.section-intro.center {
  align-items: center;
}

.subsection {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.section-btns {
  display: flex;
  flex-direction: column;
  margin-right: auto;
  gap: 0.75rem;
  margin-top: 0.25rem;
}

.section-btns.row {
  flex-direction: row;
  align-items: center;
  margin-right: 0;
}

.tile-grid {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  grid-template-rows: repeat(6, 1fr);
  gap: 1rem;
}

.tile-grid-1, .tile-grid-2 {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 1rem;
}

.tile-grid-1 {
  grid-template-rows: repeat(3, 1fr);
}

.tile-grid-2 {
  grid-template-rows: repeat(6, 1fr);
}

.tile {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 0.5rem;
  padding: 1rem;
  border-radius: 1rem;
  border: 1px solid var(--black-a30);
}

.tile-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--red-dark);
  border-radius: 1rem;
  width: 2.75rem;
  height: 2.75rem;
  margin-bottom: 0.75rem;
}

.tile-icon > .icon {
  width: 2.75rem;
  height: 2.75rem;
}

.tile-heading {
  font-family: var(--font-body);
  font-weight: 600;
  color: var(--black);
}

.tile > .body2 {
  margin-bottom: auto;
}

.tile-link {
  position: relative;
  font-size: 0.9rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.45rem;
  margin-top: 0.5rem;
}

.tile-link:hover, .tile-link:focus {
  color: var(--red-dark);
}

.tile-link > .icon {
  width: 1rem;
  height: 1rem;
}

.tile-link:hover > .icon, .tile-link:focus > .icon {
  transform: translateX(4px);
}

.mt-3 {
  margin-top: 0.75rem;
}

/**
 * =======================================
 * Table
 * =======================================
 */

.table-scroll {
  width: 100%;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
}

table {
  width: 100%;
  border-collapse: collapse;
}

thead > tr {
  background-color: var(--red-dark);
  color: var(--snow);
}

tbody > tr:nth-child(even) {
  background-color: var(--red-a10);
}

tr.hidden {
  display: none;
}

th, td {
  font-family: var(--font-body);
  padding: 0.5rem 1rem;
}

th {
  text-align: left;
  font-size: 1.1rem;
  font-weight: 600;
}

td {
  font-size: 0.9rem;
}

.table-footnote {
  font-size: 0.8rem;
  color: var(--black-a80);
}

/**
 * =======================================
 * Toast
 * =======================================
 */

.toast-container {
  transition: all 0.3s ease-in-out;
  position: fixed;
  left: 0;
  bottom: 0;
  right: 0;
  padding: 1.5rem;
  z-index: 500;
  transform: translateY(100%);
}

.toast-container.toast-open {
  transform: translateY(0%);
}

.toast {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 0.75rem;
  padding: 0.75rem 1.25rem;
  border-radius: 0.75rem;
  color: var(--snow);
  box-shadow: var(--black-a60) 0px 0px 10px;
}

.toast-success {
  background-color: var(--olive);
}

.toast-error {
  background-color: var(--red);
}

.toast-icon {
  width: 1.1rem;
  height: 1.1rem;
}

.toast-text {
  font-family: "Lato";
  font-weight: 500;
  text-decoration: none;
  font-size: 1rem;
}

/**
 * =======================================
 * Footer section
 * =======================================
 */

footer {
  font-family: var(--font-body);
  display: flex;
  flex-direction: column;
  gap: 4rem;
  padding: 10rem 4rem 2rem 4rem;
}

#footer {
  background-color: var(--parchment);
  padding-top: 4rem;
  padding-bottom: 2rem;
}

.footer-top {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
}

.footer-link {
  color: var(--red);
  text-decoration: none;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: start;
  gap: 1.25rem;
  position: relative;
}

.footer-logo {
  width: auto;
  height: 5rem;
}

#footer-logo-text {
  font-family: var(--font-heading);
  font-size: 1.5rem;
  font-weight: 600;
}

.footer-middle {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 1rem;
}

.footer-sitemap {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  margin: 1rem 0 0 -2rem;
}

.footer-list {
  margin: 0;
  list-style-type: none;
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
  padding: 0 2rem;
}

.footer-map-socials > .footer-list {
  margin-left: -2rem;
}

.footer-list li {
  padding: 0.25rem 0;
}

.footer-list a {
  font-family: var(--font-body);
  font-size: 1rem;
  color: var(--text);
}

.footer-list a:hover, .footer-list a:focus {
  color: var(--red);
}

.footer-social {
  font-family: var(--font-body);
  font-size: 1rem !important;
  color: var(--text);
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.75rem;
  padding: 0.125rem 0;
  text-wrap: nowrap;
}

.footer-social > .icon {
  width: 1.25rem;
  height: 1.25rem;
  stroke: var(--red-dark);
}

.footer-social > .icon.fill {
  stroke: none;
  fill: var(--red-dark);
}

.footer-map-socials {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  width: 100%;
}

.footer-map {
  width: 100%;
  height: 20rem;
  border-radius: 0.5rem;
}

.footer-bottom {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 0.375rem;
}

.footer-bottom-group {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.375rem;
}

/* width >= 400px */
@media (min-width: 25rem) {
}

/* width >= 640px */
@media (min-width: 40rem) {
  .show-sm {
    display: flex !important;
  }

  .hide-sm {
    display: none !important;
  }

  h2 {
    font-size: 2rem;
  }

  h3 {
    font-size: 1.8rem;
  }

  h4 {
    font-size: 1.5rem;
  }

  h5 {
    font-size: 1.4rem;
  }

  .body1 {
    font-size: 1.25rem;
  }

  .body2 {
    font-size: 1.1rem;
  }

  .section-btns {
    flex-direction: row;
    align-items: center;
    margin-right: 0;
  }

  .tile-link {
    font-size: 1.1rem;
  }

  .footer-top {
    justify-content: start;
  }

  .footer-list a {
    font-size: 1.125rem;
  }
}

/* width >= 768px */
@media (min-width: 48rem) {
  h2 {
    font-size: 2.25rem;
  }

  h3 {
    font-size: 1.75rem;
  }

  .body2 {
    font-size: 1.2rem;
  }

  .section {
    padding: 6rem 2.5rem 0 2.5rem;
  }

  .tile-grid-1 {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(3, 1fr);
  }

  .tile-grid-2 {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(3, 1fr);
  }

  .tile {
    padding: 1.5rem;
  }

  .tile-icon, .tile-icon > .icon {
    width: 4rem;
    height: 4rem;
  }

  .toast-container {
    left: auto;
    max-width: 37.5rem;
  }

  .footer-map-socials {
    flex-direction: row;
    gap: 0;
  }

  .footer-map-socials > .footer-list {
    margin-left: 0;
  }

  .footer-map {
    width: 50%;
  }

  .footer-list a {
    font-size: 1.125rem;
  }

  .footer-bottom {
    flex-direction: row;
    gap: 2rem;
  }

  .footer-bottom-group {
    flex-direction: row;
    gap: 1.75rem;
  }
}

/* width >= 1024px */
@media (min-width: 64rem) {
  body.nav-drawer-open {
    overflow-y: auto;
  }

  .show-lg {
    display: flex !important;
  }

  h2 {
    font-size: 2.75rem;
  }

  h3 {
    font-size: 2.25rem;
  }

  h4 {
    font-size: 1.75rem;
  }

  h5 {
    font-size: 1.5rem;
  }

  .subsection {
    width: 56rem;
  }

  th {
    font-size: 1.4rem;
  }

  td {
    font-size: 1.25rem;
  }

  .table-footnote {
    font-size: 1rem;
  }

  .toast-container {
    max-width: 50rem;
  }

  .footer-sitemap {
    width: 100%;
    gap: 4rem;
  }
}

/* width >= 1280px */
@media (min-width: 80rem) {
  h2 {
    font-size: 3rem;
  }

  h3 {
    font-size: 2.5rem;
  }

  .body1 {
    font-size: 1.35rem;
  }

  .body2 {
    font-size: 1.15rem;
  }

  .btn {
    font-size: 1.25rem;
    padding: 0.65rem 1.75rem;
    gap: 1rem;
  }

  .btn-sm {
    font-size: 1rem;
    padding: 0.5rem 1.25rem;
    gap: 0.75rem;
  }

  .about-logo {
    height: 14rem;
  }

  .section {
    position: relative;
    width: 100vw;
    padding: 6rem 6rem 0rem 6rem;
  }

  .section.col {
    gap: 3rem;
  }

  .section.top {
    padding-top: 8rem;
  }

  .subsection {
    width: 60rem;
  }

  .tile-grid-1 {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(1, 1fr);
  }

  .tile-grid-2 {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
  }

  .tile {
    padding: 2rem;
  }

  .tile-heading {
    font-size: 1.85rem;
  }

  .toast-container {
    max-width: 60rem;
  }

  #footer {
    padding-top: 3rem;
    padding-bottom: 2rem;
  }

  .footer-middle {
    gap: 0.75rem;
  }

  .footer-map-socials {
    max-width: 60%;
    width: auto;
    gap: 1rem;
  }

  .footer-map {
    min-width: 14rem;
  }

  .footer-sitemap {
    margin-top: 0;
    margin-left: auto;
    max-width: 50%;
    width: auto;
    gap: 1.5rem;
  }
}

/* width >= 1536px */
@media (min-width: 96rem) {
  .tile-heading {
    font-size: 2rem;
  }
}

/* width >= 1920px */
@media (min-width: 120rem) {
}

